Support » Plugin: WP Online Store » require(qtpro_functions.php) [function.require

  • Hello I need Help, I just upgraded to version 1.3.2 of wponline store, and now I’m receiving this error in the admin configuration area:

    Warning: require(qtpro_functions.php) [function.require]: failed to open stream: No such file or directory in /home2/user/public_html/blackarmyclothing.com/wp-content/plugins/wp-online-store/admin/includes/functions/general.php on line 2260
    
    Warning: require(qtpro_functions.php) [function.require]: failed to open stream: No such file or directory in /home2/user/public_html/blackarmyclothing.com/wp-content/plugins/wp-online-store/admin/includes/functions/general.php on line 2260
    
    Fatal error: require() [function.require]: Failed opening required 'qtpro_functions.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home2/user/public_html/blackarmyclothing.com/wp-content/plugins/wp-online-store/admin/includes/functions/general.php on line 2260

    any help will be very appreciated

    http://wordpress.org/plugins/wp-online-store/

Viewing 12 replies - 1 through 12 (of 12 total)
  • Same thing is happening to me. Front end works, can’t access the backend.

    Actually, front-end is broken too. Just tried viewing a product and here’s the error I got:

    Warning: require(/home/kevin/public_html/***.com/wp-content/plugins/wp-online-store/includes/modules/qtpro_stock_table.php) [function.require]: failed to open stream: No such file or directory in /home/kevin/public_html/***.com/wp-content/plugins/wp-online-store/product_info.php on line 830
    
    Fatal error: require() [function.require]: Failed opening required '/home/kevin/public_html/***.com/wp-content/plugins/wp-online-store/includes/modules/qtpro_stock_table.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/kevin/public_html/***.com/wp-content/plugins/wp-online-store/product_info.php on line 830

    Hi
    I have the same problem and my front end is broken as well. any help would be appreciated

    Same issue … back and front end messed up.

    I’ll look through the functions/general.php to see if I can find the issue … I used to deal with oscommerce all the time, so I’ll see what I can remember.

    I have the same problem – the store is currently out of action http://www.fabinbc.com

    Here’s what I did to resolve the issue — until the author(s) come up with a new update:

    Go to http://wordpress.org/plugins/wp-online-store/developers/ and download 3.2. But you don’t have to delete everything and lose it all …

    Replace the files with the version 3.2 files. You won’t lose the products/prices, etc., in your database. The only file you don’t want to overwrite is configure.php .. all the rest, you can overwrite. It took me a total of about 3 or 4 minutes using an FTP utility.

    So essentially, you’re regressing back to version 3.2 without overwriting anything in your database so your store remains intact … until the authors come up with a stable update.

    Well I fixed my problems by changing the relevant files listed in the error messages with ones that I had backed up some time ago (probably the originals). They were not configured files in any case.

    Wherever I saw an error message, I replaced the file in error with the original. There is still a problem with the update somewhere, but for now at least, the store is functioning once more.

    Files replaced:
    general.php
    header.php
    product_info.php

    Hope that helps someone else.

    We were in the middle of updating the files on the server when we ran into an error so all of the files were not uploaded correctly. We have since uploaded all of the files successfully to wordpress so the issue should be resolved.

    If you had installed or updated the plugin during this period and you cannot access the admin but do not want to delete the plugin (for the sake of losing your store), you should be able to download the complete plugin from the WP Online Store WordPress page:
    [url]http://wordpress.org/support/plugin/wp-online-store[/url]

    You should then be able to upload the files manually, overwriting the current files within the store plugin:
    wp-content/plugins/wp-online-store/

    Any files which were missed during our first attempt to update the plugin should be uploaded correctly.

    PLEASE NOTE: as someone has kindly pointed out above, the only files you do not want to overwrite are your two configuration files:
    /wp-content/plugins/wp-online-store/admin/includes/configure.php
    /wp-content/plugins/wp-online-store/includes/configure.php

    Thank you baldguy – I’ll go back in and make the necessary changes.

    Thank you baldguy (and everyone else that contributed to helping). Trying this now.

    Solution worked for me.

Viewing 12 replies - 1 through 12 (of 12 total)
  • The topic ‘require(qtpro_functions.php) [function.require’ is closed to new replies.